package com.ibeetl.admin.flow.entity;

import com.ibeetl.admin.core.annotation.Query;
import com.ibeetl.admin.core.entity.BaseEntity;
import org.beetl.sql.core.annotatoin.ColumnIgnore;
import org.beetl.sql.core.annotatoin.Table;

@Table(name = "tb_ordercenter_festival")
public class DirectedFestivalEntity extends BaseEntity {

    private String id;

    private String fescod;

    @Query(name = "活动名称", display = true)
    private String fesname;

    @Query(name = "活动标题", display = true)
    private String title;

    private String stime;

    private String etime;

    private String icon;

    @Query(name = "链接地址", display = true)
    private String url;

    @ColumnIgnore
    private String fes;

    @ColumnIgnore
    private String inserttime;

    @ColumnIgnore
    private String updatetime;

    /**
     * 平价活动的编码，
     * 活动下线以后，自动跳转到这个活动组
     *
     * 活动前后链接不变的情况，根据paritycode查找正在进行的活动
     * 活动期间与活动结束后链接不一样，根据paritycode确定活动结束后的fescod
     */
    private String paritycode;

    /**
     * 是否时全渠道，1表示全渠道，0表示非全渠道
     * 全渠道继承平价活动的所有渠道
     */
    private String allchannel;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFescod() {
        return fescod;
    }

    public void setFescod(String fescod) {
        this.fescod = fescod;
    }

    public String getStime() {
        return stime;
    }

    public void setStime(String stime) {
        this.stime = stime;
    }

    public String getEtime() {
        return etime;
    }

    public void setEtime(String etime) {
        this.etime = etime;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getFes() {
        return fes;
    }

    public void setFes(String fes) {
        this.fes = fes;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getFesname() {
        return fesname;
    }

    public void setFesname(String fesname) {
        this.fesname = fesname;
    }

    public String getInserttime() {
        return inserttime;
    }

    public void setInserttime(String inserttime) {
        this.inserttime = inserttime;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getParitycode() {
        return paritycode;
    }

    public void setParitycode(String paritycode) {
        this.paritycode = paritycode;
    }

    public String getAllchannel() {
        return allchannel;
    }

    public void setAllchannel(String allchannel) {
        this.allchannel = allchannel;
    }
}
